"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/home/home.js";
  "./pages/myCenter/myCenter.js";
  "./pages/myMsg/myMsg.js";
  "./pages/msgWarn/msgWarn.js";
  "./pages/bind/bind.js";
  "./pages/change/change.js";
  "./pages/track/track.js";
  "./pages/addressBook/addressBook.js";
  "./pages/grade/grade.js";
  "./pages/student/student.js";
  "./pages/quickMark/quickMark.js";
  "./pagesReservation/reservation/reservation.js";
  "./pagesReservation/register/register.js";
  "./pagesReservation/record/record.js";
  "./pagesReservation/backlog/backlog.js";
  "./pagesReservation/QRCode/QRCode.js";
  "./pagesWarning/home/home.js";
}
const _sfc_main = {
  onLaunch: function() {
    console.warn("当前组件仅支持 uni_modules 目录结构 ，请升级 HBuilderX 到 3.1.0 版本以上！");
    console.log("App Launch");
  },
  onShow: function() {
    console.log("App Show");
  },
  onHide: function() {
    console.log("App Hide");
  }
};
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "E:/workSpace/WanZai_School_app/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
